@charset "UTF-8";

@font-face {
    font-family: "Sprat";
    font-style: normal;
    font-weight: 400;
    src: url("../fonts/Sprat-Regular.woff2") format("woff2"),
        url("../fonts/Sprat-Regular.woff") format("woff");
}

@font-face {
    font-family: "Sprat";
    font-style: normal;
    font-weight: 500;
    src: url("../fonts/Sprat-Medium.woff2") format("woff2"),
        url("../fonts/Sprat-Medium.woff") format("woff");
}

@-webkit-keyframes marquee {
    0% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
    }

    100% {
        -webkit-transform: translateX(-100%);
        transform: translateX(-100%);
    }
}

@keyframes marquee {
    0% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
    }

    100% {
        -webkit-transform: translateX(-100%);
        transform: translateX(-100%);
    }
}

html {
    font-size: 100%;
    scroll-behavior: smooth;
}

body {
    width: 100%;
    margin: 0 auto;
    font-family: "futura-pt";
    font-weight: 400;
    font-style: normal;
    line-height: 1.2;
    color: var(--color-black);
    position: relative;
    overflow-x: hidden;
}

.--grid {
    display: -ms-grid;
    display: grid;
    grid-template-columns: repeat(4, 25%);
}

.--span-1 {
    -ms-grid-column-span: 1;
    grid-column: span 1;
}

.--span-2 {
    -ms-grid-column-span: 2;
    grid-column: span 2;
}

.--span-3 {
    -ms-grid-column-span: 3;
    grid-column: span 3;
}

.--span-4 {
    -ms-grid-column-span: 4;
    grid-column: span 4;
}

.--margin-right {
    margin-right: 2rem;
}

.--margin-left {
    margin-left: 2rem;
}

.--margin-big {
    margin: 0 4rem;
}

.--align-center {
    text-align: center;
}

.--sticky {
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
    position: sticky;
    top: var(--top);
    z-index: 11;
    pointer-events: none;
}

a.inner-link {
    text-decoration: underline;
    -webkit-text-decoration-style: dashed;
    text-decoration-style: dashed;
    -webkit-text-decoration-color: var(--color-blue);
    text-decoration-color: var(--color-blue);
    text-decoration-thickness: 2px;
    text-underline-offset: 4px;
}

a.inner-link:hover {
    color: var(--color-blue);
    -webkit-text-decoration-style: solid;
    text-decoration-style: solid;
}

span.inner-icon {
    position: relative;
    display: inline-block;
    padding: 0 4px;
    margin: 0 4px;
    font-size: var(--text-size);
    font-weight: 300;
    color: var(--color-white);
}

span.inner-icon::after {
    content: "";
    width: 1.5rem;
    height: 1.5rem;
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    border: solid 1.5px var(--color-blue);
    border-radius: 50%;
    background-color: var(--color-blue);
    z-index: -1;
}

span.inner-icon.caption {
    margin-right: .5rem;
}

.no-wrap {
    white-space: nowrap;
}

.header {
    width: 100%;
    position: fixed;
    width: 100%;
    position: fixed;
    z-index: 9;
    padding: var(--top) var(--left-right);
    background: var(--color-white);
}

.header-text {
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    font-family: "Sprat";
    font-weight: 500;
    font-style: normal;
    font-size: var(--header-text-size);
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: start;
    gap: 1rem;
    -webkit-transform-origin: 0 0;
    -ms-transform-origin: 0 0;
    transform-origin: 0 0;
    pointer-events: none;
}

.header-text img {
    width: 100%;
    height: 1.5rem;
}

.nav {
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    position: fixed;
    top: var(--top);
    right: var(--left-right);
    z-index: 10;
    font-family: "futura-pt";
    font-weight: 600;
    font-style: normal;
    font-size: .85rem;
    text-transform: uppercase;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    gap: .25rem;
    -ms-grid-column: 4;
    -ms-grid-column-span: 1;
    grid-column: 4 / 5;
    -webkit-box-pack: end;
    -ms-flex-pack: end;
    justify-content: flex-end;
    -webkit-box-align: end;
    -ms-flex-align: end;
    align-items: flex-end;
    justify-self: flex-end;
}

.nav-item {
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    position: relative;
    display: flex;
    gap: 1rem;
    transition: all .25s ease-in-out;
}

.nav-item.--lang {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: flex-start;
    gap: 2px;
}

.nav-item.--lang span {
    font-size: smaller;
}

.nav-item.--current,
.nav-item.--current:hover {
    color: var(--color-blue);
    transform: rotate(-4deg);
}

.nav-item:hover {
    color: var(--color-blue);
    text-decoration: none;
    transform: rotate(-4deg);
}

.section {
    width: 100%;
    padding: 1rem var(--left-right) 6rem var(--left-right);
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    gap: 2rem;
}

.section {
    min-height: var(--doc-height);
}

.section-item {
    margin-top: 4rem;
}

.drawing-container {
    height: auto;
    display: flex;
    align-items: center;
}

.drawing-container img {
    height: 12rem;
}

.text {
    font-family: "futura-pt";
    font-weight: 400;
    font-style: normal;
    font-size: var(--main-text-size);
    line-height: 1.1;
}

.text p:not(:last-of-type) {
    margin-bottom: 1rem;
}

.text-title {
    font-family: "futura-pt";
    font-weight: 600;
    font-style: normal;
    font-size: var(--small-text-size);
    text-transform: uppercase;
}

.text-title p:not(:last-of-type) {
    margin-bottom: .25rem;
}

.text-caption {
    font-family: "futura-pt";
    font-weight: 400;
    font-style: normal;
    font-size: var(--text-size);
}

.text-caption p:not(:last-of-type) {
    margin-bottom: .5rem;
}

.text-headline {
    font-family: "Sprat";
    font-weight: 500;
    font-style: normal;
    font-size: var(--header-text-size);
    -ms-grid-column-align: center;
    justify-self: center;
    -webkit-transition: opacity .5s ease-in-out;
    -o-transition: opacity .5s ease-in-out;
    transition: opacity .5s ease-in-out;
}

.text-container {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    gap: 1.5rem;
}

.image-container {
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
}

.image-container img {
    height: 32rem;
}

.image-container,
.drawing-container {
    position: relative;
    z-index: 11;
    pointer-events: none;
}

.text-container,
.image-container,
.drawing-container {
    opacity: 0;
    transform: translateY(50px);
    transition: opacity .5s ease, transform .5s ease;
}

.text-container.--appear,
.image-container.--appear,
.drawing-container.--appear {
    opacity: 1;
    transform: translateY(0);
}

.marquee {
    width: 100vw;
    height: 2.5rem;
    position: fixed;
    bottom: 0;
    left: 0;
    z-index: 12;
    font-family: "Sprat";
    font-weight: 300;
    font-size: var(--header-text-size);
    line-height: 1;
    text-align: center;
    overflow: hidden;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-flow: column nowrap;
    flex-flow: column nowrap;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    background: var(--color-blue);
    pointer-events: none;
    -webkit-transition: opacity .5s ease-in-out;
    -o-transition: opacity .5s ease-in-out;
    transition: opacity .5s ease-in-out;
}

.marquee div {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    /* -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between; */
    gap: 2rem;
    white-space: nowrap;
    color: #fff;
    will-change: transform;
    width: var(--spanWidth);
    text-shadow: var(--spanWidth) 0 #fff,
        calc(var(--spanWidth) * 2) 0 #fff,
        calc(var(--spanWidth) * 3) 0 #fff;
    animation: marquee var(--spanTiming) linear infinite;
    -webkit-animation: marquee var(--spanTiming) linear infinite;
    -moz-animation: marquee var(--spanTiming) linear infinite;
}

.marquee span {
    font-family: "futura-pt";
    font-weight: 300;
    font-size: var(--text-size);
    display: inline-block;
    margin: 2.7vw;
}

.footer {
    width: 100%;
    height: auto;
    font-family: "futura-pt";
    font-weight: 300;
    font-size: var(--text-size);
    color: var(--color-white);
    background: var(--color-blue);
    padding: 2rem var(--left-right) 4rem var(--left-right);
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: flex-start;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
}

.footer-item.text-title {
    font-weight: 500;
}

.footer-item:last-of-type {
    text-align: end;
}

@media screen and (min-width: 1800px) {
    :root {
        --top: 4rem;
        --left-right: 40rem;
    }
}

@media screen and (min-width: 1600px) {
    :root {
        --top: 1rem;
        --left-right: 32rem;
    }

    .section:not(:last-of-type) {
        min-height: unset;
    }

    .section-item {
        margin-top: 8rem;
    }
}

@media screen and (max-width: 1200px) {
    :root {
        --spanWidth: 150vw;
    }

    .section:not(:last-of-type) {
        min-height: unset;
    }
}

@media screen and (max-width: 780px) {
    :root {
        --top: 1rem;
        --left-right: 2rem;
        --spanWidth: 180vw;
    }
}

@media screen and (max-width: 600px) {
    :root {
        --top: 1rem;
        --left-right: 1rem;
        --header-text-size: 1rem;
        --main-text-size: 1.2rem;
        --text-size: .9rem;
        --small-text-size: .75rem;
        --spanWidth: 260vw;
    }

    .--grid {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 1.5rem;
    }

    .--margin-right {
        margin-right: 0;
    }

    .--margin-left {
        margin-left: 0;
    }

    .--margin-big {
        margin: 0 0;
    }

    .--sticky {
        position: static;
    }

    span.inner-icon {
        font-size: var(--small-text-size);
    }

    span.inner-icon.caption {
        margin-right: .5rem;
    }

    span.inner-icon::after {
        width: 1.3rem;
        height: 1.3rem;
    }

    .header {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        z-index: 999;
    }

    .header-text img {
        height: 1.2rem;
    }

    .nav {
        display: none;
    }

    .section {
        padding: 2rem var(--left-right) 2rem var(--left-right);
        gap: 1rem;
    }

    #programma .section-item {
        gap: 2rem;
    }

    .section:not(:first-of-type) {
        border-top: dashed 2px var(--color-blue);
    }

    .section:first-of-type {
        padding-top: 4rem;
    }

    .section-item {
        margin-top: 1rem;
    }

    .empty-container {
        display: none;
    }

    .image-container {
        z-index: 1;
    }

    .image-container img {
        height: 16rem;
    }

    .text-container {
        gap: 1rem;
    }

    .footer {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        -webkit-box-align: stretch;
        -ms-flex-align: stretch;
        align-items: stretch;
        gap: var(--top);
        padding: 1.5rem var(--left-right) 2rem var(--left-right);
    }

    .footer-item,
    .footer-item:last-of-type {
        text-align: center;
    }
}